/*
 *  Gwatch
 *  Copyright (C) 1999-2000 Peter Witkop
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef GWATCH_H
#define GWATCH_H

#ifndef _GWATCH_ENV_
#define _GWATCH_ENV_ "GWATCH_MAIL"
#endif /* _GWATCH_ENV_ */

#ifndef _TIMEOUT_
#define _TIMEOUT_ 5000
#endif /* _TIMEOUT_ */

#define _CONF_DIR_ ".gwatch"
#define _NEW_FILE_ "num_new"

#ifndef _MAIL_DIR_
#define _MAIL_DIR_ "/var/spool/mail/"
#endif /* _MAIL_DIR_ */

gint timer_callback (gpointer data);
void notify (mbox *mb);
void destroy_cb (GtkWidget *widget, gpointer data);
void prop_clist (GtkWidget *clist, GList *data);
int get_last_new ();
/*** set_last_new () must be called after get_last_new () 
 *** because get_last_new () will create the file if it doesn't
 *** exist */
void set_last_new (int new);
int make_conf_dir (char *dname);
int make_file (char *fname);
char *get_fname ();


#endif /* GWATCH_H */


