/*
 *  Gwatch
 *  Copyright (C) 1999-2000 Peter Witkop
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef MBOX_H
#define MBOX_H

#define _MAX_LINE_LEN 256
#define _MSG_DELIM "From\0"
#define _DEFAULT_FROM "No Sender Specified"
#define _DEFAULT_SUBJ "No Subject Specified"

typedef struct {
  char *from;
  char *subject;
} mbox_entry;

typedef struct {
  int num_new;
  GList *new_entries;
} mbox;

int mbox_init (mbox *mail_box, char *fname);

/* in_header () is kind of mis named,
 * it can only really tell the second line of a header
 */
int in_header (char *line);

void mbox_free (mbox *);

void mbox_entry_free (mbox_entry *);

void chop_nline (char *line);

void free_func (gpointer data, gpointer user_data);

#endif /* MBOX_H */


